## flask-jwt-simple 0.0.3

=== requirements.txt ===
alabaster==0.7.10
Babel==2.5.0
certifi==2017.7.27.1
chardet==3.0.4
click==6.7
docutils==0.14
Flask==0.12.2
Flask-Sphinx-Themes==1.0.1
idna==2.6
imagesize==0.7.1
itsdangerous==0.24
Jinja2==2.9.6
MarkupSafe==1.0
pluggy==0.4.0
py==1.4.34
pyasn1==0.3.2
Pygments==2.2.0
PyJWT==1.5.2
pytz==2017.2
requests==2.18.4
six==1.10.0
snowballstemmer==1.2.1
Sphinx==1.6.3
sphinxcontrib-websupport==1.0.1
tox==2.7.0
urllib3==1.22
virtualenv==15.1.0
Werkzeug==0.12.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/flask-jwt-simple.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/flask-jwt-simple.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/flask-jwt-simple"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/flask-jwt-simple"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
flask-jwt-simple (0.0.3-12) unstable; urgency=medium

  * Source-only upload.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 06 Jan 2022 09:40:45 -0300

flask-jwt-simple (0.0.3-11) unstable; urgency=medium

  * d/patches: Update 0002-Run-the-coverage-module-rather-than-binary patch to
    remove the installation of dependencies in tox.ini file (Closes: #1002323).
  * wrap-and-sort.
  * d/control: Bump Standards-Version to 4.6.0.1. No changes needed.
  * d/control: Remove the suggestion of the installation of the -docs package.
    It is not package yet.
  * d/copyright: Update debian files copyright year. Update my email in
    Copyright.
  * d/rules: remove empty line at the end of the file.
  * d/control: Add Rules-Requires-Root: no in the source stanza.
  * d/python3-flask-jwt-simple.examples: install examples in binary package.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 04 Jan 2022 07:34:46 -0300

flask-jwt-simple (0.0.3-10) unstable; urgency=medium

  * Team upload.
  * Rename git repo to match source package name.
  * Add test Build-Depends, fixing ftbfs with dh-python >= 5.20211105 that
    runs the tox tests.
  * Patch: Run the coverage module rather than binary, in tox.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 05 Nov 2021 09:52:26 -0700

flask-jwt-simple (0.0.3-9) unstable; urgency=medium

  * Source-only upload.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 03 Mar 2021 12:53:33 -0300

flask-jwt-simple (0.0.3-8) unstable; urgency=medium

  * Source-only upload.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 03 Mar 2021 11:57:39 -0300

flask-jwt-simple (0.0.3-7) unstable; urgency=medium

  * d/tests: Improve autopkgtest. Tests as-intalled package.
  * wrap-and-sort.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 24 Feb 2021 16:34:58 -0300

flask-jwt-simple (0.0.3-6) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Emmanuel Arias ]
  * d/control: Bump Standards-Version to 4.5.1.
  * d/patch: Add patch to avoid intent to decoded a str (Closes: #979713).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 11 Feb 2021 18:16:06 -0300

flask-jwt-simple (0.0.3-5) unstable; urgency=medium

  * Rebuild to upload a source-only pkg.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sun, 06 Sep 2020 20:06:50 -0300

flask-jwt-simple (0.0.3-4) unstable; urgency=medium

  * d/tests/control: Add libffi-dev on tests Depends.
    Aautopkgtest fail on arm64.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 05 Sep 2020 19:38:03 -0300

flask-jwt-simple (0.0.3-3) unstable; urgency=medium

  * d/tests/control: Add python3-dev for autpkgtest.
    - Test fails for python3-dev missingi.
  * d/control: Bump debhelper-compat to 13 (from 12).
  * wrap-and-sort.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 02 Sep 2020 22:44:24 -0300

flask-jwt-simple (0.0.3-2) unstable; urgency=medium

  * d/tests: Fix tests (Closes: #945767).
  * d/control: Bump Standards-Version to 4.5.0.
  * d/gbp.conf: Set debian/master as default branch.
  * d/control: Update my email contact.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 06 Mar 2020 18:50:25 -0300

flask-jwt-simple (0.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #934101)

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Mon, 05 Aug 2019 12:30:57 +0000

=== debian/control ===
Source: flask-jwt-simple
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-coverage,
               python3-cryptography,
               python3-flask,
               python3-jwt,
               python3-pytest,
               python3-setuptools,
               tox,
Standards-Version: 4.6.0.1
Homepage: https://github.com/vimalloc/flask-jwt-simple
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-jwt-simple
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-jwt-simple.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-flask-jwt-simple
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
#Suggests: python-flask-jwt-simple-doc,
Description: Protecting flask endpoints with JSON Web Tokens (Python 3)
 Flask-JWT-Simple adds barebones support for protecting flask endpoints
 with JSON Web Tokens. It is particularly good for fast prototyping or
 consuming/producing JWTs that work with other providers and consumers.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=flask-jwt-simple
export CRYPTOGRAPHY_DONT_BUILD_RUST=1

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: testsuite
Depends: libffi-dev,
         python3-all,
         python3-flask,
         python3-flask-jwt-simple,
         python3-pytest,
         @,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%flask-jwt-simple-$1.tar.gz%" \
   https://github.com/vimalloc/flask-jwt-simple/tags  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
